Bug 1097956 - yast2-storage-ng: missing a URL in the spec file
yast2-storage-ng: missing a URL in the spec file
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
Other Other
: P4 - Low : Normal (vote)
: ---
Assigned To: YaST Team
Jiri Srain
https://trello.com/c/plzIEqcT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-18 03:42 UTC by Simon Lees
Modified: 2019-05-10 13:38 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Lees 2018-06-18 03:42:06 UTC
The following rpmlint error should be fixed at some point

yast2-storage-ng.i586: W: no-url-tag
yast2-storage-ng.src: W: no-url-tag
The URL tag is missing. Please add a http or ftp link to the project location.
Comment 1 Ladislav Slezák 2019-05-06 13:23:04 UTC
BTW there are 52 spec files without that URL tag:

> find . -type f -name "*.spec" -exec grep -i -L "^URL:" \{\} \; | sort 

./audit-laf/package/yast2-audit-laf.spec
./autoinstallation/package/autoyast2.spec
./boot-server/package/yast2-boot-server.spec
./build-test/yast2-build-test.spec
./cluster/package/yast2-cluster.spec
./country/package/yast2-country.spec
./crowbar/package/yast2-crowbar.spec
./dhcp-server/package/yast2-dhcp-server.spec
./drbd/package/yast2-drbd.spec
./fcoe-client/package/yast2-fcoe-client.spec
./firewall/package/yast2-firewall.spec
./firstboot/package/yast2-firstboot.spec
./ftp-server/package/yast2-ftp-server.spec
./geo-cluster/package/yast2-geo-cluster.spec
./hardware-detection/package/yast2-hardware-detection.spec
./http-server/package/yast2-http-server.spec
./iplb/package/yast2-iplb.spec
./iscsi-client/package/yast2-iscsi-client.spec
./iscsi-lio-server/package/yast2-iscsi-lio-server.spec
./isns/package/yast2-isns.spec
./journalctl-tutorial/package/yast2-journalctl.spec
./ldap/package/yast2-ldap.spec
./mail/package/yast2-mail.spec
./metapackage-handler/package/yast2-metapackage-handler.spec
./multipath/package/yast2-multipath.spec
./nis-server/package/yast2-nis-server.spec
./ntp-client/package/yast2-ntp-client.spec
./online-update-configuration/package/yast2-online-update-configuration.spec
./perl-bindings/package/yast2-perl-bindings.spec
./pkg-bindings/package/yast2-pkg-bindings-devel-doc.spec
./pkg-bindings/package/yast2-pkg-bindings.spec
./pos-installation/package/yast2-pos-installation.spec
./printer/package/yast2-printer.spec
./python-bindings/package/yast2-python-bindings.spec
./rear/package/yast2-rear.spec
./samba-client/package/yast2-samba-client.spec
./samba-provision/package/yast2-samba-provision.spec
./scanner/package/yast2-scanner.spec
./security/package/yast2-security.spec
./slp-server/package/yast2-slp-server.spec
./sound/package/yast2-sound.spec
./squid/package/yast2-squid.spec
./storage-ng/package/yast2-storage-ng.spec
./sysconfig/package/yast2-sysconfig.spec
./testsuite/package/yast2-testsuite.spec
./tftp-server/package/yast2-tftp-server.spec
./transfer/package/yast2-transfer.spec
./tune/package/yast2-tune.spec
./users/package/yast2-users.spec
./vm/package/yast2-vm.spec
./xml/package/yast2-xml.spec
./ycp-ui-bindings/package/yast2-ycp-ui-bindings.spec
Comment 2 Ladislav Slezák 2019-05-10 13:38:28 UTC
The URL tag has been added in https://github.com/yast/yast-storage-ng/pull/920